summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Palimaka <kensington@gentoo.org>2017-11-25 20:29:59 +1100
committerMichael Palimaka <kensington@gentoo.org>2017-11-25 20:32:34 +1100
commit701402b1682e96af88c2e1d3ae42e8b88e308a1e (patch)
tree04f0eebe735f1b27150d4e87326af0f2b043666b /dev-qt/qtwayland
parentsys-devel/heirloom-devtools: Really commit patch for fixing gcc6 support (#59... (diff)
downloadgentoo-701402b1682e96af88c2e1d3ae42e8b88e308a1e.tar.gz
gentoo-701402b1682e96af88c2e1d3ae42e8b88e308a1e.tar.bz2
gentoo-701402b1682e96af88c2e1d3ae42e8b88e308a1e.zip
dev-qt: version bump 5.9.3
Package-Manager: Portage-2.3.14, Repoman-2.3.6
Diffstat (limited to 'dev-qt/qtwayland')
-rw-r--r--dev-qt/qtwayland/Manifest5
-rw-r--r--dev-qt/qtwayland/qtwayland-5.9.3.ebuild39
2 files changed, 42 insertions, 2 deletions
diff --git a/dev-qt/qtwayland/Manifest b/dev-qt/qtwayland/Manifest
index edf30079964..6b2725bced2 100644
--- a/dev-qt/qtwayland/Manifest
+++ b/dev-qt/qtwayland/Manifest
@@ -1,2 +1,3 @@
-DIST qtwayland-opensource-src-5.7.1.tar.xz 291776 SHA256 f23fc5e180c8af5b38419d84e44f1f342904a197c2382a7b03f83de2136201c7 SHA512 41a6699b9048a859bb0cb1e37cd0a3977f52a5a223d4f6a4ce5e1402c5b829cc907593ce2b70f4ec24dfad147251bb2f20e889eae26072cf53e774b4585f2921 WHIRLPOOL 959fb40ce79d9d09ee3c3ec436d3be229b614da15712494d943dd2cded12f0e29f9750b6e103307bb4e27e00a28f5b2ac508a29dff4f25e1b677f2f2519de98d
-DIST qtwayland-opensource-src-5.9.2.tar.xz 311052 SHA256 f6434d03f933867dfb219abec2cf19e2c1d1ef23d46d12cb9333c8066027f6c6 SHA512 28b6f77be5289cb9eba0e3e6b220d2c99d2ab4dbae8e02caecd7651b5ae33c09f117545664b01649ca52b27025cc15853806ece8dc10713c3d90832416c7def6 WHIRLPOOL 2d0c1ea872dbe4bd48dd1564062310eb2933e44dafe9c4547137f3b63aaddfe9a70aca806e48120abdbfa0de4eef9424258012afe2debe4c01012f3a94bcd932
+DIST qtwayland-opensource-src-5.7.1.tar.xz 291776 BLAKE2B 06aba415e33ed971ef4de975e8677a52c4fcc81922f978cc1bde7e9a7ebdea32cd1c7dca59b67493bc96edfd997027f630c05c93ce31ae4ba87a55580495997a SHA512 41a6699b9048a859bb0cb1e37cd0a3977f52a5a223d4f6a4ce5e1402c5b829cc907593ce2b70f4ec24dfad147251bb2f20e889eae26072cf53e774b4585f2921
+DIST qtwayland-opensource-src-5.9.2.tar.xz 311052 BLAKE2B 6a7e5625077578f950ea735917ed87f5d0e647e46080f71378160ad8d31a941ca2dbdc1b990ae7a7ca0df141298dad318ddb678089917b32db47a0000fb993b6 SHA512 28b6f77be5289cb9eba0e3e6b220d2c99d2ab4dbae8e02caecd7651b5ae33c09f117545664b01649ca52b27025cc15853806ece8dc10713c3d90832416c7def6
+DIST qtwayland-opensource-src-5.9.3.tar.xz 314652 BLAKE2B 56dbb8baa3642144d7021ca4361f4a574efe520f759dcc09867e4f114fc449ebd011099fb852c758c524e79539d5e6365cd3863921dc42339ba9c770586d21d7 SHA512 1deb41d3a2e081fa434167211b975019840c56cbf04c8fc18325d405818c2ecee6d65c9376f498ddacc1587455d310b815d56124d6a7734b2857399abfb3b659
diff --git a/dev-qt/qtwayland/qtwayland-5.9.3.ebuild b/dev-qt/qtwayland/qtwayland-5.9.3.ebuild
new file mode 100644
index 00000000000..43c33faf510
--- /dev/null
+++ b/dev-qt/qtwayland/qtwayland-5.9.3.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="Wayland platform plugin for Qt"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+ KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+fi
+
+IUSE="+libinput xcomposite"
+
+DEPEND="
+ >=dev-libs/wayland-1.6.0
+ ~dev-qt/qtcore-${PV}
+ ~dev-qt/qtdeclarative-${PV}
+ ~dev-qt/qtgui-${PV}[egl,libinput?]
+ media-libs/mesa[egl]
+ >=x11-libs/libxkbcommon-0.2.0
+ xcomposite? (
+ x11-libs/libX11
+ x11-libs/libXcomposite
+ )
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ qt_use_disable_config libinput xkbcommon-evdev \
+ src/client/client.pro \
+ src/compositor/wayland_wrapper/wayland_wrapper.pri \
+ src/plugins/shellintegration/ivi-shell/ivi-shell.pro \
+ tests/auto/compositor/compositor/compositor.pro
+
+ use xcomposite || rm -r config.tests/xcomposite || die
+
+ qt5-build_src_prepare
+}